# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KEntryKey Struct Reference

key structure holding both the actual key and the the group to which it belongs. More...

`#include <kconfigdata.h>`

Collaboration diagram for KEntryKey:

[legend]
List of all members.

## Public Member Functions

| KEntryKey (const QCString &_group=0, const QCString &_key=0)

## Public Attributes

QCString | mGroup
QCString | mKey
bool | bLocal:1
bool | bDefault:1
const char * | c_key

## Detailed Description

key structure holding both the actual key and the the group to which it belongs.

Definition at line 50 of file kconfigdata.h.

The documentation for this struct was generated from the following file:

- kconfigdata.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 12:48:45 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001